%{?mingw_package_header}

%define libname libmodplug
%define major   1

Name:           mingw-%{libname}
Version:        0.8.9.0
Release:        %mkrel 5
Summary:        MinGW Windows port of the Modplug library

License:        Public Domain
Group:          Development/Other
URL:            http://modplug-xmms.sourceforge.net/
Source0:        https://downloads.sf.net/modplug-xmms/%{libname}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  mingw32-gcc-c++

BuildRequires:  mingw64-gcc-c++

%description
Modplug is a sound rendering library that supports 22 different mod formats:
MOD, S3M, XM, IT, 669, AMF (both of them), AMS, DBM, DMF, DSM, FAR,
MDL, MED, MTM, OKT, PTM, STM, ULT, UMX, MT2, PSM

# Win32
%package -n mingw32-%{libname}
Summary:        MinGW Windows port of the Modplug library

%description -n mingw32-%{libname}
Modplug is a sound rendering library that supports 22 different mod formats:
MOD, S3M, XM, IT, 669, AMF (both of them), AMS, DBM, DMF, DSM, FAR,
MDL, MED, MTM, OKT, PTM, STM, ULT, UMX, MT2, PSM

# Win64
%package -n mingw64-%{libname}
Summary:        MinGW Windows port of the Modplug library

%description -n mingw64-%{libname}
Modplug is a sound rendering library that supports 22 different mod formats:
MOD, S3M, XM, IT, 669, AMF (both of them), AMS, DBM, DMF, DSM, FAR,
MDL, MED, MTM, OKT, PTM, STM, ULT, UMX, MT2, PSM


# Automatically create a debuginfo package
%?mingw_debug_package


%prep
%setup -q -n %{libname}-%{version}


%build
%mingw_configure \
    --disable-static

%mingw_make %{?_smp_mflags}


%install
%mingw_make DESTDIR=%{buildroot} install

# Drop all .la files
find %{buildroot} -name "*.la" -delete


# Win32
%files -n mingw32-%{libname}
%doc AUTHORS ChangeLog README
%license COPYING
%{mingw32_bindir}/%{libname}-%{major}.dll
%{mingw32_libdir}/%{libname}.dll.a
%{mingw32_libdir}/pkgconfig/%{libname}.pc
%{mingw32_includedir}/%{libname}/

# Win64
%files -n mingw64-%{libname}
%doc AUTHORS ChangeLog README
%license COPYING
%{mingw64_bindir}/%{libname}-%{major}.dll
%{mingw64_libdir}/%{libname}.dll.a
%{mingw64_libdir}/pkgconfig/%{libname}.pc
%{mingw64_includedir}/%{libname}/


%changelog
* Mon Mar 21 2022 umeabot <umeabot> 0.8.9.0-5.mga9
+ Revision: 1813278
- Mageia 9 Mass Rebuild

* Sat Sep 26 2020 tv <tv> 0.8.9.0-4.mga8
+ Revision: 1630262
- rebuild for new mingw stack

* Wed Feb 12 2020 umeabot <umeabot> 0.8.9.0-3.mga8
+ Revision: 1502126
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.8.9.0-2.mga7
+ Revision: 1279841
- Mageia 7 Mass Rebuild

* Mon Aug 06 2018 daviddavid <daviddavid> 0.8.9.0-1.mga7
+ Revision: 1248125
- new version: 0.8.9.0

* Sat Apr 08 2017 akien <akien> 0.8.8.5-1.mga6
+ Revision: 1096119
- Fix dependencies, needs mingw-gcc-c++
- imported package mingw-libmodplug

